package model

type RequestAlarmFilter struct {
	StartTime       string `form:"queryStartDate"`
	EndTime         string `form:"queryEndDate"`
	QueryType       string `form:"queryType"`       //类型 month月 day日
	QueryDeviceType string `form:"queryDeviceType"` //设备类型
}

type ResponseAlarm struct {
	ID           int    `json:"id"`
	CountTime    string `json:"countTime"`           //统一时间
	MonthTime    string `json:"monthTime,omitempty"` //月份 与 日期 2选 一
	DayTime      string `json:"dayTime,omitempty"`   //日期  与 月份  2选 一
	DeviceType   string `json:"deviceType"`          //设备类型
	CountUnsolve int    `json:"countUnsolve"`        //未处理报警数量
	CountSolve   int    `json:"countSolve"`          //已完结工单
	CountOpts    int    `json:"countOpts"`           //生成工单数量
	CountT       int    `json:"countT"`              //总报警
	CreateTime   string `json:"createTime"`
	TenantID     string `json:"tenantId"`
}
